
package de.ivu.elect.business.system.control;

import java.util.Collection;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.system.entity.SystemCheckStatus;


import static java.util.Arrays.asList;

public class SystemCheckStatusInit extends AbstractKonfigurationInit {

  public SystemCheckStatusInit() {
    super();
  }

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return asList( //
        create(ElectKonfigurationWerte.ELECT_COMMON_SYSTEM_CHECK_STATUS_AFTER_STARTUP, getDefaultSystemcheckParameter().name()) //
    );
  }

  protected SystemCheckStatus getDefaultSystemcheckParameter() {
    return SystemCheckStatus.AKTIVIERT;
  }
}
